> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a connector

> Retrieves the full configuration and status of a connector by its unique identifier, including connection settings and current replication state.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /connectors/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}:
    get:
      tags:
        - Connectors
      summary: Get a connector
      description: >-
        Retrieves the full configuration and status of a connector by its unique
        identifier, including connection settings and current replication state.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsFullConnector'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsFullConnector:
      properties:
        companyUUID:
          format: uuid
          type: string
        connectionLabel:
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          nullable: true
          type: string
        defaultDatabase:
          type: string
        environmentUUID:
          format: uuid
          type: string
        isValid:
          type: boolean
        label:
          type: string
        sharedConfig: {}
        sshTunnelUUID:
          format: uuid
          nullable: true
          type: string
        type:
          $ref: '#/components/schemas/EnumsConnectorSlug'
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - label
        - uuid
        - createdAt
        - updatedAt
        - type
        - companyUUID
        - environmentUUID
        - isValid
      type: object
    EnumsConnectorSlug:
      enum:
        - api
        - bigquery
        - clickhouse
        - cockroach
        - databricks
        - documentdb
        - dynamodb
        - gcs
        - iceberg
        - keyspaces
        - mongodb
        - motherduck
        - mssql
        - mysql
        - oracle
        - postgresql
        - redis
        - redshift
        - s3
        - snowflake
      type: string
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````